<%@ include file="beans.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.text.*" %>
<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String password = "password";
      
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, password );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD Store - New Releases</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@ include file="tableupper.jsp" %>
        <% 
        // get the current date on the gregorian calendar, and set the date back 2 weeks (336 hours)
        GregorianCalendar calendar = new GregorianCalendar();
        calendar.set(Calendar.HOUR, -336);
        GregorianCalendar laterCalendar = new GregorianCalendar(); // get the current date
        /* all new releases will have been released between the above generated dates */
        
        java.util.Date date = calendar.getTime();
        SimpleDateFormat dateFormat = new SimpleDateFormat("MM/dd/yyyy");
        
        // get all the CDs from the database
        String query = "SELECT id, release_date, title, artist, genre, length, price, picture, in_stock FROM cds ORDER BY artist, title";
        Statement statement = connection.createStatement();
        ResultSet results = statement.executeQuery(query);
        %>
        <center>
        <h1>
        ~ New Releases ~<br/>
        (<%= calendar.get(Calendar.MONTH) + 1 %>/<%= calendar.get(Calendar.DAY_OF_MONTH) + 1 %> - <%= laterCalendar.get(Calendar.MONTH) + 1 %>/<%= laterCalendar.get(Calendar.DAY_OF_MONTH) %>)
        </h1>
        </center>
        
        <%           
        int count = 0;   
        // loop through each CD from the database, checking if it lies within either of the two generated dates
        while (results.next())
        {
            String rDate = results.getString("release_date");
            java.util.Date temp = dateFormat.parse(rDate, new ParsePosition(0));
            if (date.before(temp) == true)
            {
                count = count + 1;
                String uID = results.getString("id");
                String pic = results.getString("picture");
                double tempPrice = Double.parseDouble(results.getString("price"));
                String price = NumberFormat.getCurrencyInstance(Locale.US).format(tempPrice);
                int stockLevel = results.getInt("in_stock");
        %>
                <table border="0">
                    <tr>
                        <td rowspan="7" align="center">
                        <%
                            if (currentUser.isAdmin() == false)
                            {
                                if (stockLevel > 0)
                                {
                        %>
                                    <a href="cart.jsp?add=<%= uID %>">
                                    <img src="images/cart.gif" alt="add to cart" width="60"/></a><br/>
                                    <a href="cart.jsp?add=<%= uID %>">Add to <br/>
                                    Shopping Cart
                                    </a>
                        <%
                                }
                                else
                                {
                        %>
                                    <img src="images/outofstock.gif" alt="Out of stock" width="92"/>
                        <%
                                }
                            }
                            else
                            {
                        %>
                                <br/>
                        <%
                            }
                        %>    
                        </td>
                        <td><br/></td>
                        <td rowspan="7"><img src="<%= pic %>" alt="cover" width="170" height="170"/></td>
                        <td><b>Title:</b> <%= results.getString("title") %></td>
                    </tr>
                    <tr>
                        <td><br/></td>
                        <td><b>Artist:</b> <%= results.getString("artist") %></td>
                    </tr>
                    <tr>
                        <td><br/></td>
                        <td><b>Genre:</b> <%= results.getString("genre") %></td>
                    </tr>
                    <tr>
                        <td><br/></td>
                        <td><b>Release Date:</b> <%= rDate %></td>
                    </tr>
                    <tr>
                        <td><br/></td>
                        <td><b>Price:</b> <%= price %></td>
                    </tr>
                    <tr>
                        <td><br/></td>
                        <td><a href="review.jsp?cd=<%= uID %>">User Reviews</a></td>
                    </tr>
                    <tr>
                        <td><br/></td>
                        <td><br/></td>
                    </tr>
                </table>
        <%
            }
        }
        
        if (count == 0)
        {
        %>
            <center><font color="red">There are no new releases</font></center>
        <%
        }
        
        connection.close();
        %>
        <%@ include file="tablelower.jsp" %>
    </body>
</html>