<%@ include file="beans.jsp" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>

<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String pass = "password";
      
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, pass );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    String query = "SELECT user_id FROM customers";
    Statement statement = connection.createStatement();
    ResultSet results = statement.executeQuery(query);
    
    Statement saleStatement;
    ResultSet saleResults = null; 
    
    
    if(request.getParameter("options")!=null) // the admin is viewing some sort of past sales, check which one (all, by day, by price, by user)
    {
        int optionSelected = Integer.parseInt(request.getParameter("options"));
        String saleQuery = "SELECT * FROM sales"; /* get everything by default, but restrict (the if tree below) if the admin chose a option other than all */
        
        if (optionSelected == 2) // viewing all sales by user
        {
            saleQuery = saleQuery + " WHERE user_id='" + request.getParameter("userID") + "'";
        }
        else if (optionSelected == 3) // admin is viewing sales on a given day
        {
            String date = request.getParameter("month") + "/" + request.getParameter("day") + "/" + request.getParameter("year");
            saleQuery = saleQuery + " WHERE sale_date='" + date + "'";
        }
        else if (optionSelected == 4) // admin is viewing sales in a range of prices
        {
            saleQuery = saleQuery + " WHERE total_price>=" + request.getParameter("lowPrice") + " AND total_price<= " + request.getParameter("highPrice");
        }
        saleQuery = saleQuery + " ORDER BY sale_id DESC;";
        
        saleStatement = connection.createStatement();
        saleResults = saleStatement.executeQuery(saleQuery);
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD store - Sales Record</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@include file="tableupper.jsp" %>
        <%
        if (currentUser.isAdmin() == true)
        {
        %>
        <center>
        <h1>Sales Records</h1>
        <% /* The admin is given the option of view all sales, sales by user, sale by price, or sales on a given date, thus the form */ %>
        <form action="pastsales.jsp" method="post">
        <table border="0">
            <tr>
                <td><input type="radio" name="options" value="1" checked="checked"/></td>
                <td>View all sales</td>
            </tr>
            <tr>
                <td><input type="radio" name="options" value="2"/></td>
                <td>View sales from user:
                    <select name="userID">
                    <%
                    while (results.next())
                    {
                        String user=results.getString("User_id");
                        if (user.equals("admin") == false)
                        {
                    %>
                        <option value=<%= user %>><%= user %></option>
                    <%
                        }
                    }
                    %>
                    </select>
                </td>
            </tr>
            <tr>
                <td><input type="radio" name="options" value="3"/></td>
                <td>View sales on date <input type="text" size="3" name="month"> / <input type="text" size="3" name="day"> / <input type="text" size="6" name="year"> (mm/dd/yyyy) </td>
            </tr>
            <tr>
                <td><input type="radio" name="options" value="4"/></td>
                <td>View sales between $<input type="text" size="5" name="lowPrice"/> and $<input type="text" size="5" name="highPrice"/></td>
            </tr>
            <tr>
                <td colspan="2" align="center"><input type="submit" value="Submit"></td>
            </tr>
        </table>
        </form>
        
    <%
        if (request.getParameter("options") != null) // if the admin requested to view sales, spit out the results.
        {
    %>
            <h2>Results</h2>
            <table border="0" width="85%">
                <tr>
                    <th>User ID</th>
                    <th>CDs Purchased</th>
                    <th>Total Price</th>
                    <th>Sale Date</th>
                </tr>
                <tr>
                    <td colspan="4"><hr/></td>
                </tr>
        <%
            int resultsCount = 0;
            while (saleResults.next())
            {
                resultsCount = resultsCount + 1;
                String total = saleResults.getString("total_price");
        %>
                <tr>
                    <% 
                        double tempPrice = Double.parseDouble(total);
                        String price = NumberFormat.getCurrencyInstance(Locale.US).format(tempPrice); 
                    %>
                    <td align="center"><%= saleResults.getString("user_id") %></td>
                    <td align="center"><%= saleResults.getString("cd_names") %></td>
                    <td align="center"><%= price %></td>
                    <td align="center"><%= saleResults.getString("sale_date") %></td>
                </tr>
        <%
            }
            
            if (resultsCount == 0) // if the loop didn't iterate, there was no results for what the admin requested.
            {
        %>
                <tr>
                    <td align="center" colspan="4"><font color="red"><b>There are no results matching that criteria</b></font></td>
                </tr>
        <%
            }
        %>
                <tr>
                    <td colspan="4"><hr/></td>
                </tr>
            </table>
    <%
        }
    %>
        </center>
        <%
        }
        else
        {
            out.println("<center><h1>You must be logged in as an administrator to view this page</h1></center>");
        }
        
        connection.close();
        %>	
        <%@include file="tablelower.jsp" %>
    </body>
</html>